@import '../rem';

.pagination {
    display: flex;
    list-style: none;

    li.break, li.page, li.previous, li.next {
        max-height: rem(40px);

        a {
            display: flex;
            align-items: center;
            justify-content: center;
            box-sizing: border-box;
            border: 1px solid var(--color-gray);
            width: rem(40px);
            height: rem(40px);
            position: relative;
            outline: none;

            svg {
                position: absolute;
                left: 50%;
                top: 50%;
                transform: translate(-50%, -50%);
            }

            &:hover {
                background-color: var(--color-gray-blue);
            }
        }

        &.disabled {
            display: none;
        }

        &.active > a {
            background-color: var(--color-gray);
        }

        &:first-child { margin-right: rem(8px); }
        &:last-child { margin-left: rem(8px); }
        &:first-child > a { border-radius: rem(4px); }
        &:last-child > a { border-radius: rem(4px); }
        &:nth-child(2) > a { border-radius: rem(4px) 0 0 rem(4px); }
        &:nth-last-child(2) > a {
            border-radius: 0 rem(4px) rem(4px) 0;
            border-right: 1px solid var(--color-gray);
        }
    }

    li.page > a, li.break > a {
        border-right: 0;
    }
}

.fluid{
    width: 100%;
    justify-content: center;
}

@media screen and (max-width: 768px) {
    .pagination {
        display: grid;
        grid-template-columns: rem(40px) auto rem(70px) auto rem(40px);
    }

    .previous {
        grid-column: 1/2;
        margin-right: 0 !important;
    }

    .next {
        grid-column: 5/6;
        margin-left: 0 !important;
    }

    .page {
        position: relative;
        grid-column: 3/4;

        a {
            white-space: nowrap;
            width: 100% !important;
            background-color: transparent !important;
            border: none !important;

            &::after {
                content: 'из' ' ' attr(aria-label);
                margin-left: rem(8px);
            }
        }
    }

    .disabled {
        display: flex !important;

        a {
            background: var(--color-gray);
            cursor: not-allowed !important;

            svg {
                * {
                    fill: var(--color-gray-600);
                }
            }

            &:hover {
                background: var(--color-gray) !important;
            }
        }
    }
}
